Developers
API ReferenceMessage Template

Creates a MessageTemplate resource

POST
/ticket/message-templates

Creates a MessageTemplate resource

Authorization<token>

Value for the Authorization header parameter.

In: header

Request Body

The new MessageTemplate resource

TypeScript Definitions

Use the request body type in TypeScript.

name*string
Length1 <= length <= 100
content*string
Length1 <= length <= 100000

Response Body

curl -X POST "https://example.com/ticket/message-templates" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "content": "string"  }'
{  "id": "string",  "name": "string",  "content": "string",  "createdBy": "https://example.com/",  "createdAt": "2019-08-24T14:15:22Z",  "updatedBy": "https://example.com/",  "updatedAt": "2019-08-24T14:15:22Z",  "ticketFiles": [    "string"  ]}